Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZArticleSupplier Class Reference

## Public Member Functions
| __construct ()
& | urlTypes ()
| moduleName ()
& | urlList ( $type, $category=0, $offset=0)
& | item ( $type, $id, $is_category)

## Public Attributes
| $UrlTypes = array( "article" => "{intl-article}" )

## Detailed Description

! eZArticle The class eZArticleSupplier supples article categories and article for other modules.

Definition at line 35 of file ezarticlesupplier.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZArticleSupplier::__construct | ( |  | ) |

Definition at line 37 of file ezarticlesupplier.php.

## Member Function Documentation

## ◆ item()

& eZArticleSupplier::item | ( |  | $type,
|  |  | $id,
|  |  | $is_category
| ) |  |

Definition at line 117 of file ezarticlesupplier.php.

References $article, $cat, $category, $id, $ret, $type, and $url.

## ◆ moduleName()

eZArticleSupplier::moduleName | ( |  | ) |

Returns the name of the module.

Definition at line 52 of file ezarticlesupplier.php.

## ◆ urlList()

& eZArticleSupplier::urlList | ( |  | $type,
|  |  | $category = `0`,
|  |  | $offset = `0`
| ) |  |

Returns a list of categories and/or contacts.

Definition at line 60 of file ezarticlesupplier.php.

References $article, $articles, $cat, $categories, $category, $category_array, $id, $ini, $limit, $offset, $ret, $type, and $url.

## ◆ urlTypes()

& eZArticleSupplier::urlTypes | ( |  | ) |

Returns an array of available types.

Definition at line 44 of file ezarticlesupplier.php.

References $UrlTypes.

## Member Data Documentation

## ◆ $UrlTypes

eZArticleSupplier::$UrlTypes = array( "article" => "{intl-article}" )

Definition at line 152 of file ezarticlesupplier.php.

Referenced by urlTypes().

The documentation for this class was generated from the following file:

- ezarticlesupplier.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.